#!/bin/sh
#
# Usage: sleeper.sh [time]]
#        default for time is 60 seconds

# -- our name ---
#$ -N Sleeper4
#$ -S /bin/sh
# Make sure that the .e and .o file arrive in the 
#working directory
#$ -cwd
#Merge the standard out and standard error to one file
#$ -j y 
#$ -pe test 4 
echo "Got $NSLOTS processors."
echo "Machines:"
cat $TMPDIR/machines

/bin/echo Here I am. Sleeping now at: `date`

time=60
if [ $# -ge 1 ]; then
   time=$1
fi
sleep $time

echo Now it is: `date`
